//+------------------------------------------------------------------+
//|                                                        WPRSTO.mq4|
//|                                    Copyright  2006, O.Konovalov |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006 O.Konovalov"
#property link      "E-mail:konovalov@itcom.net.ua"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 DarkGreen
#property indicator_color2 FireBrick
   //---
#property indicator_level1  100
#property indicator_level2 -100

   //---- input parameters
extern int       MomPeriod  = 1;
   //---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//----  
   SetIndexStyle(0,DRAW_HISTOGRAM,0,1);
   SetIndexBuffer(0,ExtMapBuffer1);
   //---
   SetIndexStyle(1,DRAW_HISTOGRAM,0,1);
   SetIndexBuffer(1,ExtMapBuffer2);
   //---       
//   IndicatorShortName("Market Way(" + MomPeriodSlow + ")");
   //---
//   SetIndexLabel(0, "Oleg_WPRCCI- (" + MomPeriodMax +")"); 
   //----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int      counted_bars=IndicatorCounted();
   int      limit;
//----
   if (counted_bars == 0) limit=Bars-1; //    ,      
   if (counted_bars > 0) limit=Bars-counted_bars-1; //       
   //Print("Bars=",Bars, "limit=",limit, "counted_bars=",counted_bars);
   //---  
   int i=limit;
   while (i>=0)
   {
      ExtMapBuffer1[i] = 0.0;
      ExtMapBuffer2[i] = 0.0;
      //---
      double WPR = iWPR(NULL,0,MomPeriod,i);
      double STO = iStochastic(NULL,0,MomPeriod,1,1,0,0,MODE_MAIN,i);// High/Low price
    
//***********************************************  **********************************************
   //--- 1  
   if(((MathAbs(WPR)+MathAbs(STO)) > 100.000000000000001)//000000000000001   
         && (High[i]>High[i+1] || Low[i]<Low[i+1]))//       
         {
           ExtMapBuffer1[i] = High[i];
         }
   //--- 2 
   else
   if(((MathAbs(WPR)+MathAbs(STO)) < 100.000000000000001)//000.000.000.000.001  
         && (High[i]>High[i+1] || Low[i]<Low[i+1]))
         {
           ExtMapBuffer2[i] = -Low[i];
         } 
//***************************************************************************************************************
   i--; //  
   }
//----
   return(0);
  }

